import request from '@/utils/request'

// 创建环境类型
export function createEnvType(data) {
  return request({
    url: '/product/env-type/create',
    method: 'post',
    data: data
  })
}

// 更新环境类型
export function updateEnvType(data) {
  return request({
    url: '/product/env-type/update',
    method: 'put',
    data: data
  })
}

// 删除环境类型
export function deleteEnvType(id) {
  return request({
    url: '/product/env-type/delete?id=' + id,
    method: 'delete'
  })
}

// 获得环境类型
export function getEnvType(id) {
  return request({
    url: '/product/env-type/get?id=' + id,
    method: 'get'
  })
}

// 获得环境类型分页
export function getEnvTypePage(query) {
  return request({
    url: '/product/env-type/page',
    method: 'get',
    params: query
  })
}

// 导出环境类型 Excel
export function exportEnvTypeExcel(query) {
  return request({
    url: '/product/env-type/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

// 获得环境类型（选传感器时）
export function getAllEnvType() {
  return request({
    url: '/product/env-type/all',
    method: 'get',
  })
}

// 获得【可用的】环境类型
export function getAvailableEnvType(params) {
  return request({
    url: '/product/env-type/getAvailableEnvType',
    method: 'get',
    params,
  })
}

// 获得 环境类型配置
export function getEnvTypeConfigGroupByLandId(params) {
  return request({
    url: '/product/env-type/getEnvTypeConfigGroupByLandId',
    method: 'get',
    params,
  })
}


